org.apache.storm.generated

## Class PrivateWorkerKey

- java.lang.Object
- - org.apache.storm.generated.PrivateWorkerKey

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<PrivateWorkerKey>, org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class PrivateWorkerKey
      extends Object
      implements org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>, Serializable, Cloneable, Comparable<PrivateWorkerKey>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PrivateWorkerKey._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<PrivateWorkerKey._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateWorkerKey()`
    `PrivateWorkerKey(ByteBuffer key, String userName, long expirationTimeMillis)`
    `PrivateWorkerKey(PrivateWorkerKey other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `buffer_for_key()`
    `void` | `clear()`
    `int` | `compareTo(PrivateWorkerKey other)`
    `PrivateWorkerKey` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(PrivateWorkerKey that)`
    `PrivateWorkerKey._Fields` | `fieldForId(int fieldId)`
    `long` | `get_expirationTimeMillis()`
    `byte[]` | `get_key()`
    `String` | `get_userName()`
    `Object` | `getFieldValue(PrivateWorkerKey._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_expirationTimeMillis()` Returns true if field expirationTimeMillis is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_key()` Returns true if field key is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_userName()` Returns true if field userName is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(PrivateWorkerKey._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_expirationTimeMillis_isSet(boolean value)`
    `void` | `set_expirationTimeMillis(long expirationTimeMillis)`
    `void` | `set_key_isSet(boolean value)`
    `void` | `set_key(byte[] key)`
    `void` | `set_key(ByteBuffer key)`
    `void` | `set_userName_isSet(boolean value)`
    `void` | `set_userName(String userName)`
    `void` | `setFieldValue(PrivateWorkerKey._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_expirationTimeMillis()`
    `void` | `unset_key()`
    `void` | `unset_userName()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<PrivateWorkerKey._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### PrivateWorkerKey

          public PrivateWorkerKey()

    - #### PrivateWorkerKey

          public PrivateWorkerKey(ByteBuffer key,
                                  String userName,
                                  long expirationTimeMillis)

    - #### PrivateWorkerKey

          public PrivateWorkerKey(PrivateWorkerKey other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public PrivateWorkerKey deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>`

    - #### get_key

          public byte[] get_key()

    - #### buffer_for_key

          public ByteBuffer buffer_for_key()

    - #### set_key

          public void set_key(byte[] key)

    - #### set_key

          public void set_key(ByteBuffer key)

    - #### unset_key

          public void unset_key()

    - #### is_set_key

          public boolean is_set_key()

      Returns true if field key is set (has been assigned a value) and false otherwise

    - #### set_key_isSet

          public void set_key_isSet(boolean value)

    - #### get_userName

          public String get_userName()

    - #### set_userName

          public void set_userName(String userName)

    - #### unset_userName

          public void unset_userName()

    - #### is_set_userName

          public boolean is_set_userName()

      Returns true if field userName is set (has been assigned a value) and false otherwise

    - #### set_userName_isSet

          public void set_userName_isSet(boolean value)

    - #### get_expirationTimeMillis

          public long get_expirationTimeMillis()

    - #### set_expirationTimeMillis

          public void set_expirationTimeMillis(long expirationTimeMillis)

    - #### unset_expirationTimeMillis

          public void unset_expirationTimeMillis()

    - #### is_set_expirationTimeMillis

          public boolean is_set_expirationTimeMillis()

      Returns true if field expirationTimeMillis is set (has been assigned a value) and false otherwise

    - #### set_expirationTimeMillis_isSet

          public void set_expirationTimeMillis_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(PrivateWorkerKey._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>`

    - #### getFieldValue

          public Object getFieldValue(PrivateWorkerKey._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>`

    - #### isSet

          public boolean isSet(PrivateWorkerKey._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(PrivateWorkerKey that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(PrivateWorkerKey other)

      Specified by:
        `compareTo` in interface `Comparable<PrivateWorkerKey>`

    - #### fieldForId

          public PrivateWorkerKey._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<PrivateWorkerKey,PrivateWorkerKey._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.